<template>
  <CSidebar 
    fixed 
    :minimize="minimize"
    :show="show"
    @update:show="(value) => $store.commit('set', ['sidebarShow', value])"
  >
    <CSidebarBrand class="d-md-down-none" to="/">
      <div style= "width: 178px;height: 46px;">
        <img
                src="img/logo/logo.png"
                class="c-avatar-img "
        />
      </div>
    </CSidebarBrand>

    <CRenderFunction v-if="this.admin === true" flat :content-to-render="$options.nav_admin"/>
    <CRenderFunction v-else flat :content-to-render="$options.nav"/>

    <CSidebarMinimizer
      class="d-md-down-none"
      @click.native="$store.commit('set', ['sidebarMinimize', !minimize])"
    />
  </CSidebar>
</template>

<script>
import nav from './_nav'
import nav_admin from './_nav_admin'
import VueJwtDecode from "vue-jwt-decode";

export default {
  name: 'TheSidebar',
  nav,
  nav_admin,
  data() {
    return {
      admin: null,
    }
  },
  computed: {
    show () {
      return this.$store.state.sidebarShow 
    },
    minimize () {
      return this.$store.state.sidebarMinimize 
    },
  },
  methods: {
    checkAdmin() {
      let token = localStorage.getItem("jwt");
      let decoded = VueJwtDecode.decode(token);
      this.admin = decoded.admin;
    },
  },
  beforeMount(){
    this.checkAdmin();
  }
}
</script>
